<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  $SEDE_USUARIO=$_SESSION['SEDE_USUARIO'];
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="inscribir_bloque_datos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="inscribir_bloque_datos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
  
  $query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo,tipo FROM periodos WHERE tipo='REGULAR' and status='ABIERTO' ORDER BY periodos.id_periodo DESC";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<!--<script>
$(document).ready(function(){
	$("#cedula").change(function(){
		$.post("carga_carreras_alumno1.php",{ id:$(this).val() },function(data){$("#id_carrera").html(data);})
	});
})
</script> -->

<script>
$(document).ready(function(){
	$("#cedula").change(function(){
		$.post("carga_mencion_alumno.php",{ a:$(this).val(),id:document.form1.id_carrera.value },function(data){$("#mencion").html(data);})
	});
	$("#cedula").change(function(){
		$.post("carga_sedes_alumno1.php",{ c:$(this).val(),id:document.form1.id_carrera.value },function(data){$("#sede").html(data);})
	});
	$("#cedula").change(function(){
		$.post("carga_turno1.php",{ c:$(this).val(),id:document.form1.id_carrera.value ,p:document.form1.pensum.value },function(data){$("#turno").html(data);})
	});
	$("#cedula").change(function(){
		$.post("cargar_semestres_dos.php",{ id:$(this).val(),c:document.form1.id_carrera.value ,p:document.form1.pensum.value },function(data){$("#semestre").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#semestre").change(function(){
		$.post("carga_secciones1.php",{ s:$(this).val(),u:document.form1.sede.value,t:document.form1.turno.value, l:document.form1.lapso.value, c:document.form1.id_carrera.value, p:document.form1.pensum.value, m:document.form1.mencion.value },function(data){$("#seccion").html(data);})
	});
})
</script>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Inscripción por Semestre</h2></td></tr></table>
<form name="form1" id="form1" method="post" action="">
  <table width="97%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    
    <tr>
      <td width="72"><div align="right">C&eacute;dula:</div></td>
      <td width="424" colspan="5"><label>
        <input class="bd1" name="cedula" id="cedula"  type="text" size="12" maxlength="20" onBlur="verificar_alumno(this.value,'<?php echo $SEDE_USUARIO ?>')" onKeyPress="return soloNum(event)"><iframe name="frameNuevo" id="frameNuevo" with="0" height="0" frameborder="0" ></iframe>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Apellidos:</div></td>
      <td colspan="5"><label>
        <input  name="apellidos" type="text" id="apellidos" size="35" maxlength="50">
      </label>
      &nbsp;&nbsp;&nbsp;&nbsp;Nombres:&nbsp;&nbsp;
      <label>
      <input name="nombres" type="text" id="nombres" size="35" maxlength="50">
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="5"><label>
        <select name="id_carrera" id="id_carrera" >
          <option value="LCF">LICENCIATURA EN CIENCIAS FISCALES</option>
        </select>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pensum:&nbsp;&nbsp;
		<select name="pensum" id="pensum" >
          <option value="6">6</option>
        </select>
      </label></td>
    </tr>
    <tr>
      <td>Menci&oacute;n:</td>
      <td colspan="5"><select name="mencion" id="mencion" >
          <option value="0">Seleccione...</option>
        </select>
      &nbsp;&nbsp;Sede:&nbsp;
      <select name="sede" id="sede">
        <option value="0">Seleccione...</option>
      </select>
      &nbsp;&nbsp;Turno:&nbsp;
      <select name="turno" id="turno">
        <option value="0">Seleccione...</option>
      </select></td>
    </tr>
    <tr>
      <td><div align="right">Lapso:</div></td>
	  <td><select name="lapso" id="lapso">
        <?php
do {  
?>
        <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>&nbsp;(<?php echo $row_rstPeriodos['tipo']?>)</option>
        <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
      </select> 
	  &nbsp;Semestre:
	    <select name="semestre" id="semestre" >
            <option value="0">SELECCIONE...</option>
			
          </select>
&nbsp;&nbsp;&nbsp;Sección:&nbsp;&nbsp;
<select name="seccion" id="seccion">
  <option value="0">SELECCIONE...</option>
</select></td>
    </tr>
    
  
    <tr>
      <td height="34" colspan="6"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Consultar" onClick="imprimir_situacion()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
<?php
?>
</body>
</html>

<script type="text/javascript">
 function imprimir_situacion()
 {  
    if(document.form1.cedula.value==""){
			alert("El campo <<Cédula>> es obligatorio");
			document.form1.cedula.focus();
			return false;
			}
	if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.programa.focus();
			return false;
			}
	if(document.form1.mencion.value==0){
			alert("El campo <<mención>> es obligatorio");
			document.form1.mencion.focus();
			return false;
			}
	if(document.form1.semestre.value==0){
			alert("El campo <<Semestre>> es obligatorio");
			document.form1.semestre.focus();
			return false;
			}
	if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
	if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
	if(document.form1.turno.value==0){
			alert("El campo <<Turno>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
 	url="inscribir_bloque.php?cedula="+document.form1.cedula.value+"&id_carrera="+document.form1.id_carrera.value+"&mencion="+document.form1.mencion.value+"&semestre="+document.form1.semestre.value+"&seccion="+document.form1.seccion.value+"&sede="+document.form1.sede.value+"&turno="+document.form1.turno.value;
	//window.open(url);
	window.location=url;
 }
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	
	function verificar_alumno(cedula,sede)
    {
 	if (cedula!="")
	 {
	 url="validar_alumno1.php?cedula="+cedula;
	 frameNuevo.location=url;
	 }
}
</script>

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 
?>
